function res=shuffleMatrix(arg)
% Перемешивание элементов матрицы случайным образом
% Аргументы : arg - исходная матрица
% Результат : res - перемешанная матрица
[m,n]=size(arg);
for i=1:m
    index=randperm(n);
    for j=1:n
        res(i,j)=arg(i,index(1,j));
    end
end
        